<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li class="current"><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_o">- o -</a></h3><ul>
<li>ownAddAssociationToDelay()
: <a class="el" href="group__group__vx__delay.html#gab11f80173ad6066184537c264c647feb">vx_delay.h</a>
</li>
<li>ownAddKernelToContext()
: <a class="el" href="group__group__vx__context.html#ga4e833da4ad40df0660e78fa6012a28cf">vx_context.h</a>
</li>
<li>ownAddReferenceToContext()
: <a class="el" href="group__group__vx__context.html#gad3df22b80d553454ff8bb9c080b0a72e">vx_context.h</a>
</li>
<li>ownContextGetKernelRemoveLock()
: <a class="el" href="group__group__vx__context.html#gac71a0ee04223ee7402c5fe4cf11772f2">vx_context.h</a>
</li>
<li>ownContextLock()
: <a class="el" href="group__group__vx__context.html#gaab38acaafb57ded5c2526415bfddc844">vx_context.h</a>
</li>
<li>ownContextSendCmd()
: <a class="el" href="group__group__vx__context.html#ga8bfe7f7fb3ebea938ed7f9d675baaa15">vx_context.h</a>
</li>
<li>ownContextSetKernelRemoveLock()
: <a class="el" href="group__group__vx__context.html#ga41b58a1e73a67133d6700ae8d210b382">vx_context.h</a>
</li>
<li>ownContextUnlock()
: <a class="el" href="group__group__vx__context.html#ga895aa24bb4b0cde01c395d5a8df27556">vx_context.h</a>
</li>
<li>ownCreateConstErrors()
: <a class="el" href="group__group__vx__error.html#ga34e019f03086fa2129f03dc0234a9b85">vx_error.h</a>
</li>
<li>ownCreateReference()
: <a class="el" href="group__group__vx__reference.html#ga4de1be80a5e70c18cd1b6a0693fbdb47">vx_reference.h</a>
</li>
<li>ownCreateReferenceFromExemplar()
: <a class="el" href="group__group__vx__reference.html#ga8bcc2ede5b5fbb5370ea129ff215c2aa">vx_reference.h</a>
</li>
<li>ownDecrementReference()
: <a class="el" href="group__group__vx__reference.html#gac4bd5051397559d84a544f09de52191c">vx_reference.h</a>
</li>
<li>ownGetErrorObject()
: <a class="el" href="group__group__vx__error.html#ga2ada11aea304b54c80b632aa45dc6020">vx_error.h</a>
</li>
<li>ownGetModuleCount()
: <a class="el" href="group__group__vx__module.html#ga52b0d2bf54b8cac803d785a9abcb07f5">vx_module.h</a>
</li>
<li>ownGraphAddNode()
: <a class="el" href="group__group__vx__graph.html#ga3cdd9e3db44e005e8f327756fd47d9dc">vx_graph.h</a>
</li>
<li>ownGraphGetFreeNodeIndex()
: <a class="el" href="group__group__vx__graph.html#ga382c7c56a26c11ef3ab4d53ee067a801">vx_graph.h</a>
</li>
<li>ownGraphRemoveNode()
: <a class="el" href="group__group__vx__graph.html#ga9830a8a2a45de2cdc01865061fb59ed8">vx_graph.h</a>
</li>
<li>ownGraphSetReverify()
: <a class="el" href="group__group__vx__graph.html#ga8f66ba30fd30e78b86621bafd1b5b04c">vx_graph.h</a>
</li>
<li>ownGraphTopologicalSort()
: <a class="el" href="group__group__vx__graph.html#gadccdfaff993b98451a9d159c96e8cbf4">vx_graph.h</a>
</li>
<li>ownIncrementReference()
: <a class="el" href="group__group__vx__reference.html#ga8a250ea2cd1c516ba57798a360de4bc1">vx_reference.h</a>
</li>
<li>ownInitReference()
: <a class="el" href="group__group__vx__reference.html#ga9ce862d27a2efc3e6ab316f0f5ce166f">vx_reference.h</a>
</li>
<li>ownInitReferenceForDelay()
: <a class="el" href="group__group__vx__reference.html#gaa2473ba58425fd73de7e9269f694a149">vx_reference.h</a>
</li>
<li>ownInitVirtualArray()
: <a class="el" href="vx__array_8h.html#a8a098186365e5af5d29c57259e4111bb">vx_array.h</a>
</li>
<li>ownInitVirtualImage()
: <a class="el" href="vx__image_8h.html#ad440b9aec9ec2c1c48a6fb8d7558a5fb">vx_image.h</a>
</li>
<li>ownInitVirtualPyramid()
: <a class="el" href="vx__pyramid_8h.html#acac4b75ce500039cf5a3d7d4ea4b1429">vx_pyramid.h</a>
</li>
<li>ownIsKernelInContext()
: <a class="el" href="group__group__vx__context.html#gaf2872762bd0e2573a87245ea34636481">vx_context.h</a>
</li>
<li>ownIsValidContext()
: <a class="el" href="group__group__vx__context.html#gae4eed3b6e9eda1a840b91b0fa7c786fd">vx_context.h</a>
</li>
<li>ownIsValidDirection()
: <a class="el" href="group__group__vx__parameter.html#ga6cdbdc68fa3c127c1dac4ab88d78c5c9">vx_parameter.h</a>
</li>
<li>ownIsValidReference()
: <a class="el" href="group__group__vx__reference.html#gaa07eb506d2b93ac98c0713861dc93c53">vx_reference.h</a>
</li>
<li>ownIsValidSpecificReference()
: <a class="el" href="group__group__vx__reference.html#gab8dc3b7c601b6cb800b5194f35facb08">vx_reference.h</a>
</li>
<li>ownIsValidState()
: <a class="el" href="group__group__vx__parameter.html#ga4608a7b092232d91d2cac05834727c79">vx_parameter.h</a>
</li>
<li>ownIsValidType()
: <a class="el" href="group__group__vx__reference.html#ga7b73cbb59de6fb75e986948c92b399e1">vx_reference.h</a>
</li>
<li>ownIsValidTypeMatch()
: <a class="el" href="group__group__vx__parameter.html#ga2a44a15fedbceee8b19a45a267082de0">vx_parameter.h</a>
</li>
<li>ownKernelGetDefaultTarget()
: <a class="el" href="group__group__vx__kernel.html#gae4a8c1839a95c563eaf380bc1081027e">vx_kernel.h</a>
</li>
<li>ownKernelGetTarget()
: <a class="el" href="group__group__vx__kernel.html#ga61cbd0db4e18f3eafdb6510b4375b5c0">vx_kernel.h</a>
</li>
<li>ownNodeAddInNode()
: <a class="el" href="group__group__vx__node.html#gaf839c478caa89b5f453adfb6663a1aad">vx_node.h</a>
</li>
<li>ownNodeAddOutNode()
: <a class="el" href="group__group__vx__node.html#ga6bfce40df7b58f4ae6788160d00d692e">vx_node.h</a>
</li>
<li>ownNodeClearExecuteState()
: <a class="el" href="group__group__vx__node.html#ga8701f3a86954a5f74abfef6bd3756579">vx_node.h</a>
</li>
<li>ownNodeCreateCompletionEvent()
: <a class="el" href="group__group__vx__node.html#ga31adaea81c40ecb6d143ff807eb2415a">vx_node.h</a>
</li>
<li>ownNodeCreateUserCallbackCommand()
: <a class="el" href="group__group__vx__node.html#ga382d6191891a85419d71bb446961de68">vx_node.h</a>
</li>
<li>ownNodeExecuteUserCallback()
: <a class="el" href="group__group__vx__node.html#gaf49ad710f2f1015732aad0d2224d0ecb">vx_node.h</a>
</li>
<li>ownNodeGetNextNode()
: <a class="el" href="group__group__vx__node.html#gacfbf936539d7c4da2e3e218cbc3d7af6">vx_node.h</a>
</li>
<li>ownNodeGetNumInNodes()
: <a class="el" href="group__group__vx__node.html#ga305faeb6f15ef6587cde24de5ddf9460">vx_node.h</a>
</li>
<li>ownNodeGetNumOutNodes()
: <a class="el" href="group__group__vx__node.html#ga55dc0ee45815ecf7ce8f546e4fc37cb0">vx_node.h</a>
</li>
<li>ownNodeGetNumParameters()
: <a class="el" href="group__group__vx__node.html#gace901937a320730ec12cfb7b11b54bbc">vx_node.h</a>
</li>
<li>ownNodeGetParameterDir()
: <a class="el" href="group__group__vx__node.html#ga4df3a9daf021c8890d9c35bf08163120">vx_node.h</a>
</li>
<li>ownNodeGetParameterRef()
: <a class="el" href="group__group__vx__node.html#ga0d67a618d2f2e725209769dc194f087f">vx_node.h</a>
</li>
<li>ownNodeIsPrmReplicated()
: <a class="el" href="group__group__vx__node.html#ga5413edaca750961e43f9d819e7fe41e8">vx_node.h</a>
</li>
<li>ownNodeKernelDeinit()
: <a class="el" href="group__group__vx__node.html#gaf7512617962fe1a6c9c7074af841b3d4">vx_node.h</a>
</li>
<li>ownNodeKernelInit()
: <a class="el" href="group__group__vx__node.html#gabd0685f1f78c0dac0cfc39aa5e7cdd68">vx_node.h</a>
</li>
<li>ownNodeKernelSchedule()
: <a class="el" href="group__group__vx__node.html#ga2afec8a9f96c76097f76f86f166822ba">vx_node.h</a>
</li>
<li>ownNodeKernelValidate()
: <a class="el" href="group__group__vx__node.html#ga2cda0c09f0283ba5ae1da465a7854b4a">vx_node.h</a>
</li>
<li>ownNodeSendCompletionEvent()
: <a class="el" href="group__group__vx__node.html#ga1fa01cfa84593b156556fae8136b41be">vx_node.h</a>
</li>
<li>ownNodeSetParameter()
: <a class="el" href="group__group__vx__node.html#ga29df5b8a5db460fe6edc05fb36d9bebf">vx_node.h</a>
</li>
<li>ownNodeUserKernelExecute()
: <a class="el" href="group__group__vx__node.html#ga96573e89e3c09eb1731194312418b921">vx_node.h</a>
</li>
<li>ownNodeWaitCompletionEvent()
: <a class="el" href="group__group__vx__node.html#gae353287731c9c0fb243a4d158d974068">vx_node.h</a>
</li>
<li>ownPrintImage()
: <a class="el" href="group__group__vx__image.html#ga82769f15a146e1609fdaf2bae5416132">vx_image.h</a>
</li>
<li>ownPrintImageAddressing()
: <a class="el" href="group__group__vx__image.html#gab68727411ea99e2640bc5d9d25f7cc56">vx_image.h</a>
</li>
<li>ownPrintReference()
: <a class="el" href="group__group__vx__reference.html#gad786153df931e4dceafba594c6bb0d3b">vx_reference.h</a>
</li>
<li>ownPrintScalar()
: <a class="el" href="group__group__vx__scalar.html#ga555cab92c605912773ebc0307a8b6260">vx_scalar.h</a>
</li>
<li>ownReferenceAllocMem()
: <a class="el" href="group__group__vx__reference.html#gad42635678483ae9c930688bb56b9cf90">vx_reference.h</a>
</li>
<li>ownReferenceLock()
: <a class="el" href="group__group__vx__reference.html#ga46261af73a663a9ced354739f57100d1">vx_reference.h</a>
</li>
<li>ownReferenceSetScope()
: <a class="el" href="group__group__vx__reference.html#ga6290c7e47db2bb4c7451a59e68b6dc2d">vx_reference.h</a>
</li>
<li>ownReferenceUnlock()
: <a class="el" href="group__group__vx__reference.html#gaecb8495533f11379e448b826a0bcdbf3">vx_reference.h</a>
</li>
<li>ownReleaseReferenceInt()
: <a class="el" href="group__group__vx__reference.html#gac3ad1447b01e8ce0806adfa8447590c3">vx_reference.h</a>
</li>
<li>ownRemoveAssociationToDelay()
: <a class="el" href="group__group__vx__delay.html#gaebf2b68648ae0503ed5ba08e9696bbce">vx_delay.h</a>
</li>
<li>ownRemoveKernelFromContext()
: <a class="el" href="group__group__vx__context.html#ga71c2cfc5a380259f348117aad598d23b">vx_context.h</a>
</li>
<li>ownRemoveReferenceFromContext()
: <a class="el" href="group__group__vx__context.html#ga2b1b76e26e82acc1708101330a6ae760">vx_context.h</a>
</li>
<li>ownResetNodePerf()
: <a class="el" href="group__group__vx__node.html#ga1dd26d7b21e1d3cb9f41a0f1ceebb0d8">vx_node.h</a>
</li>
<li>ownSetNodeAttributeValidRectReset()
: <a class="el" href="group__group__vx__node.html#ga7a81114a7f3c3c88c3c5645fbf4906cf">vx_node.h</a>
</li>
<li>ownSetNodeImmTarget()
: <a class="el" href="group__group__vx__node.html#gaa40301a5bc1bd16df614c3c7eab93feb">vx_node.h</a>
</li>
<li>ownSizeOfEnumType()
: <a class="el" href="group__group__vx__reference.html#ga8a824924e3547a69b56d03d93d6faab8">vx_reference.h</a>
</li>
<li>ownTotalReferenceCount()
: <a class="el" href="group__group__vx__reference.html#gabf65108598010b9690afdbc4893fb36c">vx_reference.h</a>
</li>
<li>ownUpdateNodePerf()
: <a class="el" href="group__group__vx__node.html#ga49453e6c9fcae493ab78ac21dff6740a">vx_node.h</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
